program h;{$APPTYPE CONSOLE}
{$Q+,R+,I+,O-,A+,B-}

var
i,n,m,k:longint;

begin
assign(input,'heapsort.in'); reset(input);
assign(output,'heapsort.out'); rewrite(output);

read(n);
for i:=n downto 1 do write(i,' ');

close(output);
end.
